LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions

# tree< T, tree_node_allocator >::pre_order_iterator Class Reference

Depth-first iterator, first accessing the node, then its children. More...

Inheritance diagram for tree< T, tree_node_allocator >::pre_order_iterator:

## Public Member Functions
| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)
| pre_order_iterator (tree_node *)
| pre_order_iterator (const iterator_base &)
| pre_order_iterator (const sibling_iterator &)
bool | operator== (const pre_order_iterator &) const
bool | operator!= (const pre_order_iterator &) const
pre_order_iterator & | operator++ ()
pre_order_iterator & | operator-- ()
pre_order_iterator | operator++ (int)
pre_order_iterator | operator-- (int)
pre_order_iterator & | operator+= (unsigned int)
pre_order_iterator & | operator-= (unsigned int)

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::pre_order_iterator

Depth-first iterator, first accessing the node, then its children.

Definition at line 161 of file tree.hh.

The documentation for this class was generated from the following files:

- tree.hh
- fx-0.9.4/lib/tree.hh